Remove the pairing between a Channel conversation scope and its Identity.
DELETE /api/v1/forward/channel_pairings/{pairing_id}
Headers
| Header | Required | Description |
|---|---|---|
Authorization | Yes | Bearer <PAT or SAT> |
Path parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
pairing_id | string | Yes | The id returned by List channel pairings, Get a channel pairing, or Pair a channel. |
Example request
Example response
HTTP 200 OK
Response fields
| Field | Type | Description |
|---|---|---|
id | string | Pairing ID. |
deleted | boolean | true when successfully unpaired. |
HTTP error codes
| HTTP | Type | Trigger |
|---|---|---|
| 400 | invalid_request_error | pairing_id is blank or contains control characters, or the Channel is found not to be in pairing mode when resolving the pairing's Channel. |
| 401 | authentication_error | PAT or SAT is invalid or expired. |
| 403 | permission_error | The caller does not have permission to invoke the API. |
| 404 | not_found_error | When resolving the pairing's Channel, that Channel does not exist, is archived, or is inaccessible. |
| 409 | conflict_error | The binding was modified concurrently. |
Notes
- A nonexistent or already unpaired pairing returns
200anddeleted=true. An existing pairing must still pass access checks. - Unpairing invalidates the original binding. Trigger the channel pairing flow again to obtain a new pairing code.

